clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
88.4
89.45
90.5
91.55
92.6
93.65
94.7
95.75
96.8
97.85
98.9
99.95
101
102.05
103.1
104.15
105.2
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00148657	0.00147687	0.00146683	0.00145645	0.00144572	0.00143465	0.00142324	0.00141147	0.00139933	0.00138683	0.00137395	0.00136067	0.00134697	0.0013328	0.0013181	0.00130277	0.0012866;
0.00146912	0.00145953	0.00144961	0.00143935	0.00142875	0.00141781	0.00140653	0.0013949	0.00138291	0.00137055	0.00135782	0.0013447	0.00133116	0.00131715	0.00130263	0.00128748	0.0012715;
0.00145207	0.0014426	0.00143279	0.00142265	0.00141218	0.00140136	0.00139021	0.00137871	0.00136686	0.00135465	0.00134207	0.0013291	0.00131571	0.00130187	0.00128752	0.00127254	0.00125675;
0.00143542	0.00142605	0.00141636	0.00140633	0.00139598	0.00138529	0.00137427	0.0013629	0.00135119	0.00133912	0.00132668	0.00131385	0.00130062	0.00128694	0.00127275	0.00125795	0.00124234;
0.00141914	0.00140988	0.0014003	0.00139039	0.00138015	0.00136958	0.00135869	0.00134745	0.00133587	0.00132393	0.00131163	0.00129896	0.00128587	0.00127235	0.00125832	0.00124368	0.00122825;
0.00140323	0.00139407	0.0013846	0.0013748	0.00136468	0.00135423	0.00134345	0.00133234	0.00132089	0.00130909	0.00129693	0.00128439	0.00127146	0.00125808	0.00124421	0.00122974	0.00121448;
0.00138767	0.00137862	0.00136924	0.00135955	0.00134954	0.00133921	0.00132855	0.00131757	0.00130624	0.00129457	0.00128255	0.00127015	0.00125736	0.00124413	0.00123042	0.0012161	0.00120101;
0.00137246	0.0013635	0.00135423	0.00134465	0.00133475	0.00132453	0.00131399	0.00130312	0.00129192	0.00128038	0.00126848	0.00125622	0.00124357	0.00123049	0.00121692	0.00120277	0.00118784;
0.00135757	0.00134871	0.00133954	0.00133006	0.00132027	0.00131016	0.00129973	0.00128898	0.0012779	0.00126649	0.00125472	0.0012426	0.00123008	0.00121714	0.00120372	0.00118972	0.00117496;
0.001343	0.00133424	0.00132517	0.00131579	0.0013061	0.0012961	0.00128579	0.00127515	0.00126419	0.0012529	0.00124126	0.00122926	0.00121688	0.00120408	0.00119081	0.00117696	0.00116235;
0.00132874	0.00132007	0.0013111	0.00130182	0.00129223	0.00128234	0.00127214	0.00126161	0.00125077	0.0012396	0.00122808	0.00121621	0.00120396	0.0011913	0.00117816	0.00116446	0.00115001;
0.00131478	0.0013062	0.00129732	0.00128814	0.00127866	0.00126887	0.00125877	0.00124836	0.00123763	0.00122657	0.00121518	0.00120343	0.00119131	0.00117878	0.00116579	0.00115223	0.00113793;
0.00130112	0.00129262	0.00128384	0.00127475	0.00126537	0.00125568	0.00124568	0.00123538	0.00122476	0.00121382	0.00120255	0.00119092	0.00117893	0.00116653	0.00115367	0.00114025	0.0011261;
0.00128773	0.00127932	0.00127063	0.00126163	0.00125235	0.00124276	0.00123287	0.00122267	0.00121216	0.00120133	0.00119017	0.00117867	0.0011668	0.00115453	0.0011418	0.00112852	0.00111451;
0.00127461	0.0012663	0.00125769	0.00124879	0.00123959	0.0012301	0.00122031	0.00121022	0.00119982	0.0011891	0.00117805	0.00116667	0.00115492	0.00114277	0.00113017	0.00111702	0.00110316;
0.00126176	0.00125353	0.00124501	0.0012362	0.00122709	0.0012177	0.00120801	0.00119802	0.00118772	0.00117711	0.00116618	0.00115491	0.00114327	0.00113125	0.00111878	0.00110576	0.00109204;
0.00124917	0.00124102	0.00123258	0.00122386	0.00121485	0.00120555	0.00119595	0.00118606	0.00117587	0.00116536	0.00115454	0.00114338	0.00113186	0.00111996	0.00110761	0.00109473	0.00108114];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.4940 0.1840 0.5560]',...
    'MarkerFaceColor','[0.4940 0.1840 0.5560]')

zlim([0.00105 0.0015])
ylim([88.4E9 105.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([88.4E9 90E9 92E9 95E9 97E9 100E9 102E9 105.2E9])
zticks([0.0010 0.0011 0.0012 0.0013 0.0014 0.0015])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - 60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_60TaDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_60TaDoped_strainenergy_LLZO_48e.png